com.pivotal.gemfirexd.thrift.internal

## Class ClientConfiguration

- java.lang.Object
- - com.pivotal.gemfirexd.thrift.internal.ClientConfiguration

    public final class ClientConfiguration
    extends Object

Static configuration properties for the thrift JDBC client including version, driver name etc.

Since:
  gfxd 1.1

### Field Summary

Fields
`static String` `CURRENT_DRIVER_PROTOCOL`
`static String` `DRIVER_NAME`
`static String` `DRIVER_PROTOCOL`
`static byte` `DRIVER_TYPE`
`static SQLException` `exceptionsOnLoadResources`
`static boolean` `jdbcCompliant`

### Constructor Summary

Constructors
`protected` `ClientConfiguration(String resourceName)`

### Method Summary

Methods
`String` `getBuildDate()`
`String` `getBuildId()`
`String` `getBuildJavaVersion()`
`String` `getBuildPlatform()`
`String` `getError()`
`String` `getGemfireVersion()`
`static ClientConfiguration` `getInstance()`
`String` `getProductName()`
`String` `getProductVersion()`
`static com.pivotal.gemfirexd.internal.iapi.services.info.ProductVersionHolder` `getProductVersionHolder()`
`String` `getResourceName()`
`String` `getSourceDate()`
`String` `getSourceRepository()`
`String` `getSourceRevision()`
`static boolean` `supportsJDBC40()` Check to see if the jvm version is such that JDBC 4.0 is supported

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DRIVER_NAME

    public static final String DRIVER_NAME

See Also:
  Constant Field Values

#### DRIVER_PROTOCOL

    public static final String DRIVER_PROTOCOL

See Also:
  Constant Field Values

#### CURRENT_DRIVER_PROTOCOL

    public static final String CURRENT_DRIVER_PROTOCOL

#### DRIVER_TYPE

    public static final byte DRIVER_TYPE

See Also:
  Constant Field Values

#### exceptionsOnLoadResources

    public static SQLException exceptionsOnLoadResources

#### jdbcCompliant

    public static final boolean jdbcCompliant

See Also:
  Constant Field Values

### Constructor Detail

#### ClientConfiguration

    protected ClientConfiguration(String resourceName)

### Method Detail

#### getInstance

    public static ClientConfiguration getInstance()

#### getProductVersionHolder

    public static com.pivotal.gemfirexd.internal.iapi.services.info.ProductVersionHolder getProductVersionHolder()

#### supportsJDBC40

    public static boolean supportsJDBC40()

Check to see if the jvm version is such that JDBC 4.0 is supported

#### getProductName

    public String getProductName()

Returns:
  the productName

#### getProductVersion

    public String getProductVersion()

Returns:
  the productVersion

#### getGemfireVersion

    public String getGemfireVersion()

Returns:
  the gemfireVersion

#### getSourceDate

    public String getSourceDate()

Returns:
  the sourceDate

#### getSourceRevision

    public String getSourceRevision()

Returns:
  the sourceRevision

#### getSourceRepository

    public String getSourceRepository()

Returns:
  the sourceRepository

#### getBuildDate

    public String getBuildDate()

Returns:
  the buildDate

#### getBuildId

    public String getBuildId()

Returns:
  the buildId

#### getBuildPlatform

    public String getBuildPlatform()

Returns:
  the buildPlatform

#### getBuildJavaVersion

    public String getBuildJavaVersion()

Returns:
  the buildJavaVersion

#### getResourceName

    public String getResourceName()

Returns:
  the resourceName

#### getError

    public String getError()

Returns:
  the error